VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Drives8"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Collection" ,"Drive"
Attribute VB_Ext_KEY = "Member0" ,"Drive"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'##CD Collection of CDROM type drives on the current machine.
Attribute VB_HelpID=2459
Attribute VB_Description="Collection of CDROM type drives on the current machine."
Option Explicit

'local variable to hold collection
Private mCol As Collection

Friend Function Add(Key As String, ByVal DriveLetter As String, Optional sKey As String) As Drive8
    'create a new object
    Dim objNewMember As Drive8
    Set objNewMember = New Drive8

    'set the properties passed into the method
    objNewMember.Key = Key
    Call objNewMember.SetDriveLetter(DriveLetter) 'Set the read-only property.
    If Len(sKey) = 0 Then
        Call mCol.Add(objNewMember)
    Else
        Call mCol.Add(objNewMember, sKey)
    End If

    'return the object created
    Set Add = objNewMember
    Set objNewMember = Nothing
End Function

Friend Sub Clear()
    Do Until Count = 0
        Call Remove(1)
    Loop
End Sub

Public Property Get Item(vntIndexKey As Variant) As Drive8
Attribute Item.VB_HelpID = 2460
Attribute Item.VB_UserMemId = 0
    Set Item = mCol(vntIndexKey)
End Property

Public Property Get Count() As Long
Attribute Count.VB_HelpID = 2461
Attribute Count.VB_Description = "Total number of CDROM Drives on the current system."
'##BD Total number of CDROM Drives on the current system.
    Count = mCol.Count
End Property

Friend Sub Remove(vntIndexKey As Variant)
    Call mCol.Remove(vntIndexKey)
End Sub

Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_HelpID = 2462
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    Set NewEnum = mCol.[_NewEnum]
End Property

Private Sub Class_Initialize()
    'creates the collection when this class is created
    Set mCol = New Collection
End Sub

Private Sub Class_Terminate()
    'destroys collection when this class is terminated
    Set mCol = Nothing
End Sub

