VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Sound8"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Attribute VB_Ext_KEY = "Member0" ,"Waves"
Attribute VB_Ext_KEY = "Member1" ,"Listener"
'##CD This object houses the collection of loaded and created wave files for playing and speaker configuration.
Attribute VB_HelpID=2037
Attribute VB_Description="This object houses the collection of loaded and created wave files for playing and speaker configuration."
Option Explicit

'Privates
Private mvarWaves As Waves8
Private mvarSpeakerConfig As CONST_DSSPEAKERFLAGS
Private mvarListener As Listener8

Public Property Get Listener() As Listener8
Attribute Listener.VB_HelpID = 2512
Attribute Listener.VB_Description = "Returns the Listener object."
'##BD Returns the Listener object.
    Set Listener = mvarListener
End Property

Public Property Get SpeakerConfig() As CONST_DSSPEAKERFLAGS
Attribute SpeakerConfig.VB_HelpID = 2040
Attribute SpeakerConfig.VB_Description = "Returns/sets the speaker configuration.  "
'##BD Returns/sets the speaker configuration.
    SpeakerConfig = mvarSpeakerConfig
End Property

Public Property Let SpeakerConfig(ByVal vData As CONST_DSSPEAKERFLAGS)
    mvarSpeakerConfig = vData
    Call SEngine.DirectSoundObject.SetSpeakerConfig(mvarSpeakerConfig) 'Set the speaker configuration
End Property

Public Property Get Waves() As Waves8
Attribute Waves.VB_HelpID = 2513
Attribute Waves.VB_Description = "Collection of Wave objects."
'##BD Collection of Wave objects.
    Set Waves = mvarWaves
End Property

Private Sub Class_Initialize()
    Set mvarWaves = New Waves8
    Set mvarListener = New Listener8
End Sub

Private Sub Class_Terminate()
    On Error Resume Next

    Set mvarWaves = Nothing
    Set mvarListener = Nothing
End Sub

Public Property Get Capabilities() As DSCAPS
Attribute Capabilities.VB_HelpID = 2044
Attribute Capabilities.VB_Description = "Returns the capabilities of the hardware device being used to playback sound."
'##BD Returns the capabilities of the hardware device being used to playback sound.
    Call SEngine.DirectSoundObject.GetCaps(Capabilities)
End Property
