VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "SoundDevice8"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"No"
'##CD The object represents a device on the current machine that is registered to play and/or record sound.
Attribute VB_HelpID=2060
Attribute VB_Description="The object represents a device on the current machine that is registered to play and/or record sound."
Option Explicit

Public Key As String

'local variable(s) to hold property value(s)
Private mvarDescription As String
Private mvarGuid As String
Private mvarName_ As String
Private mvarDeviceType As eSoundDeviceTypes

Public Enum eSoundDeviceTypes
    seSoundDevice = 0
    seCaptureDevice = 1
End Enum

Attribute Key.VB_VarHelpID = 2063
Public Property Get DeviceType() As String
Attribute DeviceType.VB_HelpID = 2511
Attribute DeviceType.VB_Description = "Type of device."
'##BD Type of device.
    DeviceType = mvarDeviceType
End Property

Public Property Get Name_() As String
Attribute Name_.VB_HelpID = 2064
Attribute Name_.VB_UserMemId = 0
Attribute Name_.VB_Description = "Returns the driver name."
'##BD Returns the driver name.
    Name_ = mvarName_
End Property

Public Property Get Guid() As String
Attribute Guid.VB_HelpID = 2065
Attribute Guid.VB_Description = "Returns the unique identifier."
'##BD Returns the unique identifier.
    Guid = mvarGuid
End Property

Public Property Get Description() As String
Attribute Description.VB_HelpID = 2066
Attribute Description.VB_Description = "Returns the driver description."
'##BD Returns the driver description.
    Description = mvarDescription
End Property

Friend Sub SetInformation(ByVal Desc As String, ByVal Guid As String, ByVal Name As String, DType As eSoundDeviceTypes)
Attribute SetInformation.VB_HelpID = 2067
    mvarDescription = Desc
    mvarGuid = Guid
    mvarName_ = Name
    mvarDeviceType = DType
End Sub

